summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-physics/bullet/bullet-2.86.ebuild')
-rw-r--r--sci-physics/bullet/bullet-2.86.ebuild29
1 files changed, 13 insertions, 16 deletions
diff --git a/sci-physics/bullet/bullet-2.86.ebuild b/sci-physics/bullet/bullet-2.86.ebuild
index b0238f5c9d4..f983c772bb6 100644
--- a/sci-physics/bullet/bullet-2.86.ebuild
+++ b/sci-physics/bullet/bullet-2.86.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-inherit cmake-utils
+inherit cmake
DESCRIPTION="Continuous Collision Detection and Physics Library"
HOMEPAGE="http://www.bulletphysics.com/"
@@ -17,10 +17,8 @@ IUSE="+bullet3 doc double-precision examples extras test"
RDEPEND="
virtual/opengl
media-libs/freeglut"
-
-DEPEND="
- ${RDEPEND}
- doc? ( app-doc/doxygen[dot] )"
+DEPEND="${RDEPEND}"
+BDEPEND="doc? ( app-doc/doxygen[dot] )"
PATCHES=( "${FILESDIR}"/${PN}-2.85-soversion.patch )
@@ -32,7 +30,7 @@ RESTRICT="test"
S="${WORKDIR}/${PN}3-${PV}"
src_prepare() {
- cmake-utils_src_prepare
+ cmake_src_prepare
# allow to generate docs
sed -i -e 's/GENERATE_HTMLHELP.*//g' Doxyfile || die
@@ -40,7 +38,6 @@ src_prepare() {
src_configure() {
local mycmakeargs=(
- -DBUILD_SHARED_LIBS=ON
-DBUILD_CPU_DEMOS=OFF
-DBUILD_OPENGL3_DEMOS=OFF
-DBUILD_BULLET2_DEMOS=OFF
@@ -52,21 +49,21 @@ src_configure() {
-DUSE_DOUBLE_PRECISION=$(usex double-precision)
-DBUILD_UNIT_TESTS=$(usex test)
)
- cmake-utils_src_configure
+ cmake_src_configure
}
src_compile() {
- cmake-utils_src_compile
+ cmake_src_compile
if use doc; then
doxygen || die
HTML_DOCS+=( html/. )
DOCS+=( docs/*.pdf )
fi
-}
-src_install() {
- cmake-utils_src_install
- use examples && DOCS+=( examples )
- einstalldocs
+ if use examples; then
+ # throws QA warnings
+ rm examples/ThirdPartyLibs/openvr/*/linux64/libopenvr_api.so || die
+ DOCS+=( examples )
+ fi
}